{block name="account-documents"}
    <hr class="invisible">
    <span class="h4 block">{$km_shoprechnungen_lang_kopf_meinaccount}</span>
    {if $Dokumente|@count > 0}
        {block name="account-documents-body"}
            <div class="card">
                <div class="card-body">
                    {foreach $Dokumente as $doc}
                        <a target="_blank" href="{$cCanonicalURL}?kDokument={$doc->kDokument}" class="dpflex-a-center item" title="">
                        <span class="w100">
                            <span class="row dpflex-a-center">
                                <span class="col-6">
                                    <strong class="block">{$doc->cDokumentTyp}: {$doc->cDokumentNr}</strong>
                                    <span class="block">{if isset($km_shoprechnungen_lang_ref_info)}{$km_shoprechnungen_lang_ref_info}{else}Bestellung{/if}: {$doc->cBestellNr}</span>
                                </span>
                            <span class="text-muted small col-6">
                                <span class="block">{$doc->cDokumentTyp} erstellt am {$doc->dErstellt|date_format: '%d.%m.%Y'}</span></span>
                            </span>
                        </span>
                            <span class="img-ct icon icon-wt">
                            <svg>
                              <use xlink:href="{$ShopURL}/{if empty($parentTemplateDir)}{$currentTemplateDir}{else}{$parentTemplateDir}{/if}img/icons/icons.svg?v={$nTemplateVersion}#ar-right"></use>
                            </svg>
                        </span>
                        </a>
                    {/foreach}
                </div>
            </div>
            {* {include file='snippets/pagination.tpl' oPagination=$orderPagination cThisUrl='jtl.php' cParam_arr=['bestellungen'=>1] parts=['pagi', 'label']} *}
        {/block}
    {else}
        <div class="alert alert-info">{lang key='noEntriesAvailable'}</div>
    {/if}
{/block}