<?php declare(strict_types=1);

namespace Plugin\km_shoprechnungen;

use Exception;
use Plugin\km_shoprechnungen\classes\Shoprechnungen;

$root = dirname(__DIR__, 2);
if(!function_exists('Shop')) {
    require_once $root . '/includes/globalinclude.php';
}

if(!class_exists('Shoprechnungen')) {
    require_once 'classes/class.shoprechnungen.php';
}

try {
    $oShopRechnungen = new Shoprechnungen();
    $key             = $_REQUEST['cKey'] ?? null;

    if($key) {
        if($key === base64_encode($oShopRechnungen->holeKey())) {
            $oShopRechnungen->speicherDokument($_REQUEST);
        }
        else {
            $f = fopen('error.txt', 'a+');
            fwrite($f, "\r\n");
            fwrite($f, '['.date("Y:m:d H:i:s").']'.' Error: Falsches Passwort');
            fclose($f);
        }
    }

    if(isset($_FILES)) {
        $oShopRechnungen->speicherDokument($_FILES);
    }
}
catch (Exception $ex) {
    $f  = fopen('error.txt', 'a+');
    fwrite($f, "\r\n");
    fwrite($f, '['.date("Y:m:d H:i:s").']'. ' Error:'.$ex->getMessage());
    fclose($f);
}
